BEGIN BSTANOVA


IF ~See(Player1)
Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1F
   SAY ~I will serve you, my mistress!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END

IF ~See(Player1)
!Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1M
   SAY ~I will serve you, my master!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END


IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("TanovaResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~It's you! You have killed me and now that. Why did you resurrect me?~
   ++ ~I will let you live again, if you will serve me and only me!~ + briefingNV1
   ++ ~I wanted to kill you again!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("TanovaResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~It's you! You have killed me and now that. Why did you resurrect me?~
   ++ ~You were so weak, you didn't even remember your past life.~ + briefingNV1
   ++ ~I have a weakness for women.~ + briefingNV1
   ++ ~I wanted to kill you again!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~Bodhi's control is gone, and now I really remember my past life. Poor Jon, he did terrible things for me.~
  ++ ~You can join my party, if you wish.~ + briefing2
  ++ ~You are free to go. I release you.~ + briefing3
  ++ ~Die, vile creature!~ + briefing3f
END



IF ~~ briefing2
  SAY ~I don't have anywhere else to go.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("TanovaResurrected","GLOBAL",2)
  DestroyItem("VVHTANOV")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~I don't want to die again!~
  IF ~~ THEN DO ~SetGlobal("TanovaResurrected","GLOBAL",2)
 SetGlobal("TanovaLeft","GLOBAL",1) 
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>. I will be digging in memories of past.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("TanovaResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you need me, my master?~ 
 ++ ~Return, Tanova, I need your skills.~ + notparty1
 ++ ~Stay here, Tanova, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Return, Tanova, I need you, my servant.~ + notparty1
 ++ ~Stay here, Tanova, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Return, Tanova, I need you, my servant.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Tanova, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Do you need me, my master?~ 
 ++ ~Return, Tanova, I need you, my servant.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Tanova, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~Okay, okay!~
  IF ~~ THEN DO ~
	//	DestroyItem("VVTanova")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~With pleasure!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~As you command!~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[1369.693],S)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Tanova.~ + suckblood
 ++ ~Tell me your story, Tanova.~ + talkTanovaM
 ++ ~No, nothing right now, Tanova.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~My mistress, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Tanova.~ + suckblood
 ++ ~Tell me your story, Tanova.~ + talkTanovaF
 ++ ~No, nothing right now, Tanova.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Tanova.~ + suckblood
 ++ ~Make me a vampire, Tanova.~ + vampconvm
 ++ ~Tell me your story, Tanova.~ + talkTanovaM
 ++ ~No, nothing right now, Tanova. Sorry.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Tanova.~ + suckblood
 ++ ~Make me a vampire, Tanova. I want to be a same blood with you.~ + vampconvf 
 ++ ~Tell me your story, Tanova.~ +   talkTanovaM
 ++ ~No, nothing right now, Tanova. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ byesilent
SAY ~As you wish!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkTanovaM
  SAY ~I was born in Suldanesselar in noble family. When I grew up, my parents arranged a wedding with Jon Irenicus, a young and promising mage. I didn't liked him on first meeting. But as our meetings went on, I loved him more and more. And then we wed.~
  IF ~~ THEN GOTO talkTanovaM2
END

IF ~~ talkTanovaM2
  SAY ~Jon was unfateful husband and messed with old whore Ellesime. On top of that one snake by the name of Centeol had poisoned me to grasp 'her's' Jon to herself. I died. Jon found a way to save me - he and Bodhi made me a first Suldanesselar vampiress.~
  IF ~~ THEN GOTO talkTanovaM3
END

IF ~~ talkTanovaM3
  SAY ~When Jon and Bodhi were exiled, we moved a lot and finally went to Ahkatla. There we found a stronghold and hideout. Bodhi erased my memory by unknown reasons. Then you came.~
  IF ~~ THEN EXIT
END


IF ~~ talkTanovaF
  SAY ~I was born in Suldanesselar in noble family. When I grew up, my parents arranged a wedding with Jon Irenicus, a young and promising mage. I didn't liked him on first meeting. But as our meetings went on, I loved him more and more. He was clever and ambitious. Then we wed, it was a gorgeous wedding ceremony. Almost all elves were there.~
  IF ~~ THEN GOTO talkTanovaF2
END

IF ~~ talkTanovaF2
  SAY ~Jon was unfateful goat and slept with old witch Ellesime. On top of that one snake by the name of Centeol had poisoned me to grasp 'her's' Jon to herself. I died. Jon found a way to save me - he and Bodhi made me a first Suldanesselar vampiress.~
  IF ~~ THEN GOTO talkTanovaF3
END

IF ~~ talkTanovaF3
  SAY ~When Jon and Bodhi were exiled, we moved a lot and finally went to Ahkatla. There we found a stronghold and hideout. Bodhi erased my memory by unknown reasons. Then you came.~
  IF ~~ THEN EXIT
END



IF ~~ suckblood
  SAY ~Thank you for care!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~No! Your blood is a poison!~
  IF ~~ THEN DO ~~ EXIT
END



IF ~~ suckblood2
  SAY ~How gorgeous! And so full and rich taste!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,80,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Tanova embraces you by neck and gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Tanova's teeth go out and gently bite you in your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Tanova.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Tanova and her foggy memories. You feel, that Tanova is straight and proud vampiress.)~

  IF ~~ THEN DO ~
  
  
  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,1,ADD)

		ChangeStat(Player1,WIS,1,ADD)

	

		SetGlobal("TanovaVampirized","GLOBAL",1)	
	~ EXIT
END


